# .readthedocs.yaml
# Read the Docs configuration file
# See https://docs.readthedocs.io/en/stable/config-file/v2.html for details

# Required
version: 2

# Set the version of Python and other tools you might need
build:
  os: ubuntu-22.04
  tools:
    python: "3.10"
  apt_packages:
    - plantuml

# Other variants to build than HTML
formats: all

# Build documentation in the docs/ directory with Sphinx
sphinx:
   configuration: source/conf.py
   fail_on_warning: true

# Declare the Python requirements required to build your docs
python:
   install:
   - requirements: source/requirements.txt
